Subject: bug#37202: shadowfile-tests: two failures on macOS

From: Michael Albinus <[email-masked]>
Date: Sun, 08 Sep 2019 10:21:01 +0200

Stefan Kangas <[email-masked]> writes:

Hi Stefan,

>> So I've added more traces, since it doesn't happen to me. Pls run.
>
> OK.  Log file attached.

That helped, indeed.

>    passed   8/10  shadow-test07-regexp-groups (0.032929 sec)
> shadow-test08-shadow-todo: cluster1 /Stefans-MBP: \`/Stefans-MBP:\' ((shadow-cluster cluster1 /Stefans-MBP: \`/Stefans-MBP:\'))
> shadow-test08-shadow-todo: cluster2 /mock:Stefans-MBP: \`/mock:Stefans-MBP:\' ((shadow-cluster cluster2 /mock:Stefans-MBP: \`/mock:Stefans-MBP:\') (shadow-cluster cluster1 /Stefans-MBP: \`/Stefans-MBP:\'))
> shadow-test08-shadow-todo: /var/folders/pj/rhx0gxy15tv3vx6l3mdy0qvm0000gn/T/shadowfile-testsmTKsYe ((/cluster1:/var/folders/pj/rhx0gxy15tv3vx6l3mdy0qvm0000gn/T/shadowfile-testsmTKsYe /cluster2:/var/folders/pj/rhx0gxy15tv3vx6l3mdy0qvm0000gn/T/shadowfile-testsmTKsYe))
> shadow-add-to-todo: nil nil

That's the first difference to my traces. Locally, I have here

shadow-add-to-todo: ((/tmp/shadowfile-tests0mPIFq . /cluster2:/tmp/shadowfile-tests0mPIFq)) nil

So you have a nil value of `shadows' in that trace. Looking at the code,
I see that `file-truename' is used to compute `shadows'. That rings a
bell - `temporary-file-directory' on macOS is located on a symlink. I
ran into this trap earlier already.

I hope, that my fix, pushed to master, fixes this now.

> Thanks,
> Stefan Kangas

Best regards, Michael.